<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  August 13th 2006                                         //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2006 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	/* Check Structure Availability */
	if (!defined("CORE_STRAP")) die("Out of structure call");
	/* Administrative restriction */
	(!me('is_administrator')&&!me('is_superadministrator')?die("Access restricted"):NULL);

	$tpl = new template;
	$tpl -> Load("news");
	$tpl -> GetObjects();

	// GET NEWS DATA ///////////////////////////////////////////////////////
	$deleteArray = myF(myQ("SELECT COUNT(`id`) AS `count` FROM `[x]news` WHERE `id` = '{$_GET["rm"]}'"))or die(mysql_error());
	if ($deleteArray["count"] == 1){$deleteMe = '1';}else {$deleteMe = '0';}
	// HANDLE REMOVE REQUEST ///////////////////////////////////////////
	if (isset($_GET["rm"]) && $deleteMe == "1" ) {myQ("DELETE FROM `[x]news` WHERE `id` = {$_GET["rm"]}");} 
	else {}
	$newsArray = myQ("SELECT * FROM `[x]news` ORDER BY DATE ASC")or die(mysql_error());
	$tpl -> AssignArray(array("dbCount.total" => mysql_num_rows($newsArray)));	
	$i=0;
		while ($newsRow = myF($newsArray)) {
			$newsReplacementArray[$i]["news.id"] = $newsRow["id"];
			$newsReplacementArray[$i]["news.title"] = _fnc("strtrim", $newsRow["title"], 30);
			$newsReplacementArray[$i]["news.date"] = date($CONF["LOCALE_SHORT_DATE"], $newsRow["date"]);
			$newsReplacementArray[$i]["news.showuser"] = $newsRow["allowuser"];
			$newsReplacementArray[$i]["news.showguest"] = $newsRow["allowguest"];
			$i++;
		}	
	if (isset($newsReplacementArray)) $tpl -> Loop("newsList", $newsReplacementArray);
	// TEMPLATE REPROCESS & FLUSH ////////////////////////////////////////////////////
	$tpl -> CleanZones();

	/* Get the frame templates, flush the TPL result into it */
	$frame = new template;
	$frame -> Load("!theme/{$GLOBALS["THEME"]}/templates/admin/frame.tpl");
	$frame -> AssignArray(array(
		"jump" => $tpl->Flush(1)
	));
	
	/* Assign Location Value */
	$locationArray = explode(".", $_GET["L"]);
	for ($i=0; $i<count($locationArray); $i++) {
		$locationAppendResult[] = $locationArray[$i];
		if ($i > 0) $location[] = "<a href=\"?L=".implode(".", $locationAppendResult)."\">{$locationArray[$i]}</a>";
	}
	$frame -> AssignArray(array("location" => implode(" &raquo; ", $location)));
	
	/* Set the forced chromeless mode, flush the template */
	$GLOBALS["CHROMELESS_MODE"] = 1;
	$frame -> Flush();
?>